Package net.sourceforge.jiu.data

# Interface PalettedImage

All Known Subinterfaces:
  `Paletted8Image`, `PalettedIntegerImage`

All Known Implementing Classes:
  `MemoryPaletted8Image`

public interface PalettedImage
This interface defines methods for paletted images. The image data of paletted images are usually integer numbers. Those numbers are index values into a list of colors called the palette or color map. This way, for images with few colors relatively small integers can be used as samples.

## Method Summary

Modifier and Type
Method
Description
`Palette`
`getPalette()`
Gets the palette of this image.
`void`
`setPalette(Palette palette)`
Sets the palette of this image to the argument palette object.

## Method Details

### getPalette

Palette getPalette()
Gets the palette of this image.

Returns:
  palette object

### setPalette

void setPalette(Palette palette)
Sets the palette of this image to the argument palette object.

Parameters:
  `palette` - the new palette for this image